| Home | Libraries | People | FAQ | More

## Struct template bitwise_and_assign

boost::proto::bitwise_and_assign — A metafunction for generating bitwise-and-assign expression types, a grammar element for matching bitwise-and-assign expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct bitwise_and_assign :  proto::transform< bitwise_and_assign<T, U> > {
      // types
      typedef proto::expr< proto::tag::bitwise_and_assign, proto::list2< T, U > > type;
      typedef type                                                                proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :  proto::pass_through<bitwise_and_assign>::template impl<Expr, State, Data>
      {
      };
    };

## Description